XdkWrl: PrettyPrinter Class Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# PrettyPrinter Class Reference
[Tools]

`#include <prettyprinter.h>`

List of all members.

## Public Member Functions
| PrettyPrinter (std::ostream &s)
## Protected Member Functions
void | inc ()
void | dec ()
void | newline ()
## Friends
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFBool &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFColor &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFFloat &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFImage &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFInt32 &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFNode &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFRotation &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFString &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFTime &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFVec2f &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const SFVec3f &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFColor &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFFloat &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFInt32 &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFNode &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFRotation &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFString &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFTime &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFVec2f &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const MFVec3f &v)
PrettyPrinter & | operator<< (PrettyPrinter &p, const Node::FieldHandle &h)
PrettyPrinter & | operator<< (PrettyPrinter &p, const Node::EventInHandle &h)
PrettyPrinter & | operator<< (PrettyPrinter &p, const Node::EventOutHandle &h)
PrettyPrinter & | operator<< (PrettyPrinter &p, const Scene &s)

## Constructor & Destructor Documentation

PrettyPrinter | ( | std::ostream & | s | ) |

## Member Function Documentation

void inc | ( |  | ) | `[protected]`

void dec | ( |  | ) | `[protected]`

void newline | ( |  | ) | `[protected]`

## Friends And Related Function Documentation

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const SFBool & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const SFColor & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const SFFloat & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const SFImage & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const SFInt32 & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const SFNode & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const SFRotation & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const SFString & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const SFTime & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const SFVec2f & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const SFVec3f & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const MFColor & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const MFFloat & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const MFInt32 & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const MFNode & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const MFRotation & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const MFString & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const MFTime & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const MFVec2f & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const MFVec3f & | v |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const Node::FieldHandle & | h |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const Node::EventInHandle & | h |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const Node::EventOutHandle & | h |
| ) |  |  | `[friend]`

PrettyPrinter& operator<< | ( | PrettyPrinter & | p,
|  | const Scene & | s |
| ) |  |  | `[friend]`

Generated on 5 Jan 2007 with version 1.5.1. |